# COMPAS Viewers 2

![build](https://github.com/compas-dev/compas_view2/workflows/build/badge.svg)
[![GitHub - License](https://img.shields.io/github/license/compas-dev/compas_view2.svg)](https://github.com/compas-dev/compas_view2)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/compas_view2.svg)](https://pypi.python.org/project/compas_view2)
[![PyPI - Latest Release](https://img.shields.io/pypi/v/compas_view2.svg)](https://pypi.python.org/project/compas_view2)
[![Conda - Latest Release](https://anaconda.org/conda-forge/compas_view2/badges/version.svg)](https://anaconda.org/conda-forge/compas_view2)
[![Conda - Platform](https://img.shields.io/conda/pn/conda-forge/compas_view2)](https://anaconda.org/conda-forge/compas_view2)

Second generation viewers for the COMPAS framework.


## Features

-   Full support for all COMPAS objects (primitives, shapes, network, mesh, volmesh)
-   Pick select and Box select
-   Shaded, Ghosted, Wireframe, Specular visualization modes
-   Mesh faces with individual colors
-   Dynamic visualization with simple decorators
-   Text annotations
-   Customizable UI and UI Controller
-   Transformations in object space
-   ...

## Installation

See the [Getting Started](https://compas.dev/compas_view2/latest/gettingstarted.html) instructions in the docs.

## Tutorials

This [tutorial page](https://compas.dev/compas_view2/latest/tutorials.html) contains basic lead-through, configuration setting, and software concepts.

## Examples

Examples can be found in our [example page](https://compas.dev/compas_view2/latest/examples.html).

## License

The code in this repo is licensed under the [MIT License](LICENCSE).

## Known Issues

Please check the [Issue Tracker](https://github.com/compas-dev/compas_view2/issues) of the repo for known issues and their solutions.

## Future

This project targets to [compas](https://github.com/compas-dev/compas). The next generation of it with compas_2 compatibility can be found in a separate repo [here](https://github.com/compas-dev/compas_viewer).
